System.Runtime.Remoting 2.0.0.0 System.Object System.Runtime.Remoting.Channels.IChannelSender

Channels are used by the.NET Framework remoting infrastructure to transport remote calls. When a client calls a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. After the message is received, it is deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

The class uses the Windows interprocess communication (IPC) system to transport messages between application domains on the same computer. When communicating between application domains on the same computer, the IPC channel is much faster than the TCP or HTTP channels.

To perform additional processing of messages on the client side, you can specify an implementation of the interface through which all messages processed by the object will be passed.

By default, the class uses a binary formatter to serialize all messages.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing a collection to the constructor). For a list of these configuration properties, see the documentation for the constructor.

Implements a client channel for remote calls that uses the IPC protocol to transmit messages.

- Constructor

  The configuration properties of the instance returned by this constructor are all set to their default values. The following table shows the default value for each configuration property.

  Configuration property

  Description

  name

  The default name is "ipc client". Each channel must have a unique name.

  priority

  The default priority is 1.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the specified configuration properties and sink.

  A collection that specifies values for configuration properties to be used by the channel.
  The implementation to be used by the channel.
  2.0.0.0
- Constructor

  This constructor sets the property by using the parameter. If you want to register more than one channel, each channel must have a unique name.

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the specified name and sink.

  The name of the channel.
  The implementation to be used by the channel.
  2.0.0.0
- Property
  System.String To be added.

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling the method. The default name is "ipc client".

  Gets the name of the current channel.

  2.0.0.0
- Property
  System.Int32 To be added.

  The priority controls the order in which competing clients connect to a given endpoint; higher priority channels connect before lower priority channels. The default priority is 1; negative priorities are allowed.

  Gets the priority of the current channel.

  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessageSink `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0